/* istanbul ignore file */
/* tslint:disable */
/* eslint-disable */
export { ApiError } from './core/ApiError';
export { CancelablePromise, CancelError } from './core/CancelablePromise';
export { OpenAPI } from './core/OpenAPI';
export type { OpenAPIConfig } from './core/OpenAPI';

export type { AddSignup } from './models/AddSignup';
export type { CreatePostAnn } from './models/CreatePostAnn';
export type { Cup } from './models/Cup';
export type { CupCreate } from './models/CupCreate';
export type { CupCreateForm } from './models/CupCreateForm';
export type { CupMatch2p } from './models/CupMatch2p';
export type { CupMatch2pPickbanState } from './models/CupMatch2pPickbanState';
export type { CupMatch2pPickbanStepAbbrev } from './models/CupMatch2pPickbanStepAbbrev';
export type { CupMatchReportForm2p } from './models/CupMatchReportForm2p';
export type { CupSignup } from './models/CupSignup';
export type { CupSignupResult } from './models/CupSignupResult';
export type { CupStage } from './models/CupStage';
export type { CupStageCreateForm } from './models/CupStageCreateForm';
export type { CupStageFormat } from './models/CupStageFormat';
export type { CupStageScoring } from './models/CupStageScoring';
export type { CupStageScoringForm } from './models/CupStageScoringForm';
export type { CupStageUpdateForm } from './models/CupStageUpdateForm';
export type { CupUpdateForm } from './models/CupUpdateForm';
export type { CurrentStage } from './models/CurrentStage';
export type { ElimMatchType } from './models/ElimMatchType';
export type { EntrantType } from './models/EntrantType';
export type { Game } from './models/Game';
export type { GameMode } from './models/GameMode';
export type { InviteTeamMember } from './models/InviteTeamMember';
export type { IsAdmin } from './models/IsAdmin';
export type { KDCSplitGeneratorForm } from './models/KDCSplitGeneratorForm';
export type { KDCSplitMap } from './models/KDCSplitMap';
export type { MatchOverrideReportResult } from './models/MatchOverrideReportResult';
export type { MediaLinks } from './models/MediaLinks';
export type { NextPickbanStep } from './models/NextPickbanStep';
export type { Page } from './models/Page';
export type { Paged_for_int32 } from './models/Paged_for_int32';
export type { Paged_for_Uuid } from './models/Paged_for_Uuid';
export type { PageItem_for_int32 } from './models/PageItem_for_int32';
export type { PageItem_for_Uuid } from './models/PageItem_for_Uuid';
export type { PickbanActionKey } from './models/PickbanActionKey';
export type { PickbanPool } from './models/PickbanPool';
export type { PickbanPoolItem } from './models/PickbanPoolItem';
export type { Pickbans } from './models/Pickbans';
export type { PickbanStep } from './models/PickbanStep';
export type { PickbanStepKind } from './models/PickbanStepKind';
export type { Player } from './models/Player';
export type { PlayerEloUpdate } from './models/PlayerEloUpdate';
export type { PlayerFinishedMatch } from './models/PlayerFinishedMatch';
export type { PlayerPastResults } from './models/PlayerPastResults';
export type { PlayerTeam } from './models/PlayerTeam';
export type { PoolItemState } from './models/PoolItemState';
export type { PostAnn } from './models/PostAnn';
export type { PostMedia } from './models/PostMedia';
export type { Ranking } from './models/Ranking';
export type { Rankings } from './models/Rankings';
export type { Role } from './models/Role';
export type { ScoreReport } from './models/ScoreReport';
export type { SetSignup } from './models/SetSignup';
export type { SetTeamMember } from './models/SetTeamMember';
export type { Team } from './models/Team';
export type { TeamCreateForm } from './models/TeamCreateForm';
export type { TeamMemberInvite } from './models/TeamMemberInvite';
export type { TeamPlayer } from './models/TeamPlayer';
export type { TeamUpdateForm } from './models/TeamUpdateForm';
export type { UpdatePostAnn } from './models/UpdatePostAnn';
export type { UpdateSignup } from './models/UpdateSignup';

export { $AddSignup } from './schemas/$AddSignup';
export { $CreatePostAnn } from './schemas/$CreatePostAnn';
export { $Cup } from './schemas/$Cup';
export { $CupCreate } from './schemas/$CupCreate';
export { $CupCreateForm } from './schemas/$CupCreateForm';
export { $CupMatch2p } from './schemas/$CupMatch2p';
export { $CupMatch2pPickbanState } from './schemas/$CupMatch2pPickbanState';
export { $CupMatch2pPickbanStepAbbrev } from './schemas/$CupMatch2pPickbanStepAbbrev';
export { $CupMatchReportForm2p } from './schemas/$CupMatchReportForm2p';
export { $CupSignup } from './schemas/$CupSignup';
export { $CupSignupResult } from './schemas/$CupSignupResult';
export { $CupStage } from './schemas/$CupStage';
export { $CupStageCreateForm } from './schemas/$CupStageCreateForm';
export { $CupStageFormat } from './schemas/$CupStageFormat';
export { $CupStageScoring } from './schemas/$CupStageScoring';
export { $CupStageScoringForm } from './schemas/$CupStageScoringForm';
export { $CupStageUpdateForm } from './schemas/$CupStageUpdateForm';
export { $CupUpdateForm } from './schemas/$CupUpdateForm';
export { $CurrentStage } from './schemas/$CurrentStage';
export { $ElimMatchType } from './schemas/$ElimMatchType';
export { $EntrantType } from './schemas/$EntrantType';
export { $Game } from './schemas/$Game';
export { $GameMode } from './schemas/$GameMode';
export { $InviteTeamMember } from './schemas/$InviteTeamMember';
export { $IsAdmin } from './schemas/$IsAdmin';
export { $KDCSplitGeneratorForm } from './schemas/$KDCSplitGeneratorForm';
export { $KDCSplitMap } from './schemas/$KDCSplitMap';
export { $MatchOverrideReportResult } from './schemas/$MatchOverrideReportResult';
export { $MediaLinks } from './schemas/$MediaLinks';
export { $NextPickbanStep } from './schemas/$NextPickbanStep';
export { $Page } from './schemas/$Page';
export { $Paged_for_int32 } from './schemas/$Paged_for_int32';
export { $Paged_for_Uuid } from './schemas/$Paged_for_Uuid';
export { $PageItem_for_int32 } from './schemas/$PageItem_for_int32';
export { $PageItem_for_Uuid } from './schemas/$PageItem_for_Uuid';
export { $PickbanActionKey } from './schemas/$PickbanActionKey';
export { $PickbanPool } from './schemas/$PickbanPool';
export { $PickbanPoolItem } from './schemas/$PickbanPoolItem';
export { $Pickbans } from './schemas/$Pickbans';
export { $PickbanStep } from './schemas/$PickbanStep';
export { $PickbanStepKind } from './schemas/$PickbanStepKind';
export { $Player } from './schemas/$Player';
export { $PlayerEloUpdate } from './schemas/$PlayerEloUpdate';
export { $PlayerFinishedMatch } from './schemas/$PlayerFinishedMatch';
export { $PlayerPastResults } from './schemas/$PlayerPastResults';
export { $PlayerTeam } from './schemas/$PlayerTeam';
export { $PoolItemState } from './schemas/$PoolItemState';
export { $PostAnn } from './schemas/$PostAnn';
export { $PostMedia } from './schemas/$PostMedia';
export { $Ranking } from './schemas/$Ranking';
export { $Rankings } from './schemas/$Rankings';
export { $Role } from './schemas/$Role';
export { $ScoreReport } from './schemas/$ScoreReport';
export { $SetSignup } from './schemas/$SetSignup';
export { $SetTeamMember } from './schemas/$SetTeamMember';
export { $Team } from './schemas/$Team';
export { $TeamCreateForm } from './schemas/$TeamCreateForm';
export { $TeamMemberInvite } from './schemas/$TeamMemberInvite';
export { $TeamPlayer } from './schemas/$TeamPlayer';
export { $TeamUpdateForm } from './schemas/$TeamUpdateForm';
export { $UpdatePostAnn } from './schemas/$UpdatePostAnn';
export { $UpdateSignup } from './schemas/$UpdateSignup';

export { DefaultService } from './services/DefaultService';
